# Uses of Enum Class
org.bukkit.event.block.CauldronLevelChangeEvent.ChangeReason

Packages that use CauldronLevelChangeEvent.ChangeReason
Package
Description
org.bukkit.event.block
`Events` relating to when a `block` is changed or interacts with the `world`.

## Uses of CauldronLevelChangeEvent.ChangeReason in org.bukkit.event.block

Methods in org.bukkit.event.block that return CauldronLevelChangeEvent.ChangeReason
Modifier and Type
Method
Description
`@NotNull CauldronLevelChangeEvent.ChangeReason`
CauldronLevelChangeEvent.`getReason()`
`static CauldronLevelChangeEvent.ChangeReason`
CauldronLevelChangeEvent.ChangeReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CauldronLevelChangeEvent.ChangeReason[]`
CauldronLevelChangeEvent.ChangeReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.block with parameters of type CauldronLevelChangeEvent.ChangeReason
Modifier
Constructor
Description
``
`CauldronLevelChangeEvent(@NotNull Block block, @Nullable Entity entity, @NotNull CauldronLevelChangeEvent.ChangeReason reason, @NotNull BlockState newBlock)`